Get transaction by ID
curl --request GET \
--url https://api.range.org/v2/transactions/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/transactions/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3891709-0",
"time": "2024-05-08T13:05:57.779Z",
"height": "3891709",
"hash": "8c288a1b3006b4c129af06c7603a6bb624a482d5dc1b7b4cf3791cb84ade3554",
"success": true,
"types": [
"MsgSend",
"MsgDelegate"
],
"signers": [
"cosmos1z6rh9mu9qggl2mugavyfu8h5td92d9y92r9ttc"
],
"transfers": {
"sender": {
"address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
"network": "solana"
},
"receiver": {
"address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
"network": "noble-1"
}
},
"fee": {
"amount": "5000",
"denom": "uatom"
}
}Transfers & Transactions
Get transaction by ID
Returns a transaction that matches the specified ID.
GET
/
v2
/
transactions
/
{id}
Get transaction by ID
Authorizations
Authorization method required to allow user to access the api endpoints.
Path Parameters
Response
200 - application/json
Transaction that matches the specified ID.
Example:
"3891709-0"
Example:
"2024-05-08T13:05:57.779Z"
Example:
"3891709"
Example:
"8c288a1b3006b4c129af06c7603a6bb624a482d5dc1b7b4cf3791cb84ade3554"
Example:
true
Example:
["MsgSend", "MsgDelegate"]
Example:
[
"cosmos1z6rh9mu9qggl2mugavyfu8h5td92d9y92r9ttc"
]
Information about the sender of the transfer
Show child attributes
Show child attributes
Network fee paid for the transaction. Omitted on networks without fee data.
Show child attributes
Show child attributes
Example:
{ "amount": "5000", "denom": "uatom" }
Last modified on September 9, 2026
Was this page helpful?